=== debian/changelog ===
jlapack (0.8~dfsg-7) unstable; urgency=medium

  * Team upload.
  * libjlapack-java is now marked Multi-Arch: foreign
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.2

 -- tony mancill <tmancill@debian.org>  Fri, 03 Oct 2025 08:45:01 -0700

jlapack (0.8~dfsg-6) unstable; urgency=medium

  * Team upload.
  * Update Java target to 1.8 (Closes: #1052570)
  * Use debhelper-compat 13
  * Set Rules-Requires-Root: no in debian/control
  * Bump Standards-Version to 4.7.0
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Fri, 06 Sep 2024 22:38:02 -0700

jlapack (0.8~dfsg-5) unstable; urgency=medium

  * Fake watch file
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Sat, 12 Jan 2019 08:47:43 +0100

jlapack (0.8~dfsg-4) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Add java9.patch and support Java 9.
    Thanks to Chris West for the report (Closes: #873982)

 -- Markus Koschany <apo@debian.org>  Thu, 26 Oct 2017 18:44:18 +0200

jlapack (0.8~dfsg-3) unstable; urgency=medium

  * cme fix dpkg-control
  * Upload to unstable (main)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2016 21:06:08 +0200

jlapack (0.8~dfsg-2) experimental; urgency=medium

  * Build using free f2j - so moving from contrib to main
  * Moved from Debian Med SVN to Debian Java Git
  * debhelper 9
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * add manifest

 -- Andreas Tille <tille@debian.org>  Mon, 01 Feb 2016 17:27:05 +0100

jlapack (0.8~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #665341)

 -- Olivier Sallou <osallou@debian.org>  Mon, 26 Mar 2012 11:44:58 +0200
