=== debian/control ===
Source: jlapack
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               f2j (>= 0.8.1+dfsg),
               javahelper,
               libf2j-java (>= 0.8.1+dfsg)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/java-team/jlapack
Vcs-Git: https://salsa.debian.org/java-team/jlapack.git
Homepage: https://icl.cs.utk.edu/f2j
Rules-Requires-Root: no

Package: libjlapack-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${java:Depends},
         libf2j-java
Recommends: ${java:Recommends}
Description: LAPACK numerical subroutines translated from their Fortran 77 source
 The package provides the LAPACK numerical subroutines translated from their
 subset Fortran 77 source into class files, executable by the Java Virtual
 Machine (JVM) and for use by Java programmers.
 .
 This makes it possible for Java applications or applets, distributed on the
 World Wide Web to use established legacy numerical code that was originally
 written in Fortran.
 The translation is accomplished using a special purpose Fortran-to-Java
 (source-to-source) compiler.
