=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with javahelper

override_dh_auto_build:
	cd jlapack-3.1.1 && make lib
	mv jlapack-3.1.1/src/lapack/lapack.jar jlapack-3.1.1/src/lapack/jlapack-lapack.jar
	mv jlapack-3.1.1/src/blas/blas.jar jlapack-3.1.1/src/blas/jlapack-blas.jar
	mv jlapack-3.1.1/src/error_reporting/xerbla.jar jlapack-3.1.1/src/error_reporting/jlapack-xerbla.jar


override_dh_clean:
	cd jlapack-3.1.1 && make clean
	rm -f jlapack-3.1.1/src/lapack/jlapack-lapack.jar
	rm -f jlapack-3.1.1/src/blas/jlapack-lapack.jar
	rm -f jlapack-3.1.1/src/blas/jlapack-blas.jar
	rm -f jlapack-3.1.1/src/error_reporting/jlapack-xerbla.jar
	dh_clean
