=== debian/watch ===
version=4
opts="dversionmangle=s/.*/0.No-Release/;auto,repacksuffix=+dfsg,repack,compression=xz" \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
